at.chipkarte.client.kse.soap

## Class Zusatzinformation

- Object
- - at.chipkarte.client.kse.soap.Zusatzinformation

-     public class Zusatzinformation
      extends Object

  Enthält die zusätzlichen Informationen zu einem Patienten und fordert den Vertragspartner (in Abhängigkeit des Parameters AntwortAnzeigeBedingung) zur Durchführung einer bestimmten Aktion auf.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Zusatzinformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getAntwortAnzeigeBedingung()` Angabe zur Anzeige der Antwortmöglichkeiten auf Zusatzinformationen.
    `String` | `getSvtCode()` Zuständiger KVT für die Zusatzinformation (Ansprechpartner).
    `Long` | `getZusatzinformationsAntwortId()` Eindeutige ID zur Identifikation der übermittelten Zusatzinformation.
    `String` | `getZusatzinformationsText()` Meldungstext, der im Rahmen der Zusatzinformationsanforderung angezeigt werden soll.
    `void` | `setAntwortAnzeigeBedingung(Integer antwortAnzeigeBedingung)`
    `void` | `setSvtCode(String svtCode)`
    `void` | `setZusatzinformationsAntwortId(Long zusatzinformationsAntwortId)`
    `void` | `setZusatzinformationsText(String zusatzinformationsText)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Zusatzinformation

          public Zusatzinformation()

  - ### Method Detail

    - #### getZusatzinformationsAntwortId

          public Long getZusatzinformationsAntwortId()

      Eindeutige ID zur Identifikation der übermittelten Zusatzinformation.
      Format: Long (numerisch)
      Returns:
        ID der Zusatzinformation.

    - #### getSvtCode

          public String getSvtCode()

      Zuständiger KVT für die Zusatzinformation (Ansprechpartner).
      Mögliche Werte siehe Funktion `getSVTs`
      Format: 2-stellig
      Returns:
        KVT-Code.

    - #### getZusatzinformationsText

          public String getZusatzinformationsText()

      Meldungstext, der im Rahmen der Zusatzinformationsanforderung angezeigt werden soll.
      Format: maximal 180-stellig
      Returns:
        Zusatzinformations-Text.

    - #### getAntwortAnzeigeBedingung

          public Integer getAntwortAnzeigeBedingung()

      Angabe zur Anzeige der Antwortmöglichkeiten auf Zusatzinformationen.
      Mögliche Werte siehe `AntwortAnzeigeBedingung`
      Returns:
        AntwortAnzeigeBedingung.

    - #### setZusatzinformationsAntwortId

          public void setZusatzinformationsAntwortId(Long zusatzinformationsAntwortId)

    - #### setSvtCode

          public void setSvtCode(String svtCode)

    - #### setZusatzinformationsText

          public void setZusatzinformationsText(String zusatzinformationsText)

    - #### setAntwortAnzeigeBedingung

          public void setAntwortAnzeigeBedingung(Integer antwortAnzeigeBedingung)